指定对象的线型。 支持的平台:仅窗口 签名工 务 局: object.Linetype
属性值只读:不;只写对象除外Group 类型:字符串 对象的线型。默认线型为图层的线型 (ByLayer)。
言论线型值标识用于绘制线条的一系列点和虚线。如果未指定线型,则当前活动线型将用于新图元。如果为图元指定了线型,则忽略当前活动线型。使用该属性可以设置或查询当前活动线型。ActiveLinetype 注意:无法以编程方式创建线型。可以使用 Load 方法将现有线型添加到图形中,方法是使用 Load 方法先加载线型,然后使用 Add 方法将其添加到集合中。Linetypes
例子工 务 局: Sub Example_Linetype() ' This example searches for the linetype DashDot. If it is ' not found, it is added from the acad.lin file. Then a ' line is created and changed to the DashDot linetype. ' Search the linetypes collection for the DashDot linetype. Dim entry As AcadLineType Dim found As Boolean found = False For Each entry In ThisDrawing.Linetypes If StrComp(entry.name, "DASHDOT", 1) = 0 Then found = True Exit For End If Next If Not (found) Then ThisDrawing.Linetypes.Load "DASHDOT", "acad.lin" ' Create the line Dim lineObj As AcadLine Dim startPoint(0 To 2) As Double Dim endPoint(0 To 2) As Double startPoint(0) = 1#: startPoint(1) = 1#: startPoint(2) = 0# endPoint(0) = 4#: endPoint(1) = 4#: endPoint(2) = 0# Set lineObj = ThisDrawing.ModelSpace.AddLine(startPoint, endPoint) ' Change the linetype of the line lineObj.Linetype = "DASHDOT" ZoomAll End Sub Visual LISP: (vl-load-com) (defun c:Example_Linetype() ;; This example searches for the linetype DashDot. If it is ;; not found, it is added from the acad.lin file. Then a ;; line is created and changed to the DashDot linetype. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Search the linetypes collection for the DashDot linetype. (setq found :vlax-false) (vlax-for entry (vla-get-Linetypes doc) (if (= (vla-get-Name entry) "DASHDOT") (setq found :vlax-true) ) ) (if (= found :vlax-false) (vla-Load (vla-get-Linetypes doc) "DASHDOT" "acad.lin") ) ;; Create the line (setq startPoint (vlax-3d-point 1 1 0) endPoint (vlax-3d-point 4 4 0)) (setq modelSpace (vla-get-ModelSpace doc)) (setq lineObj (vla-AddLine modelSpace startPoint endPoint)) ;; Change the linetype of the line (vla-put-Linetype lineObj "DASHDOT") (vla-ZoomAll acadObj) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:38
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.